Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 380647 - app-portage/layman-2.0.0: More complete support for CVS
Summary: app-portage/layman-2.0.0: More complete support for CVS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Brian Dolbec
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks:
 
Reported: 2011-08-25 12:54 UTC by Kobboi
Modified: 2014-09-29 13:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
layman-branch.patch (layman-branch.patch,781 bytes, patch)
2011-08-25 12:57 UTC, Kobboi
Details | Diff
layman-prune.patch (layman-prune.patch,781 bytes, text/plain)
2011-08-25 12:58 UTC, Kobboi
Details
prune patch corrected (layman-prune.patch.txt,809 bytes, patch)
2011-08-25 14:38 UTC, Kobboi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kobboi 2011-08-25 12:54:34 UTC
I'm using layman in an automated installation setup which uses a
(stable) portage snapshot and a (variable) overlay. I once patched
layman (1.1.1) to allow specification of a CVS branch, any chance
something similar can make it into 2.0.0? It would make my setup system
a bit cleaner with the patch being in the snapshot, since up till now, I
have had a kind of chicken-and-egg problem, with the patched layman
actually being inside the overlay...

I have also added another patch, adding extra parameters to the sync
process that seem to me to make sense (-P prunes empty directories, -C
gets clean copies (while preserving/renaming local modifications).

Thanks in advance for your feedback

Reproducible: Always
Comment 1 Kobboi 2011-08-25 12:57:56 UTC
Created attachment 284629 [details, diff]
layman-branch.patch

branch patch
Comment 2 Kobboi 2011-08-25 12:58:16 UTC
Created attachment 284631 [details]
layman-prune.patch

prune patch
Comment 3 Brian Dolbec gentoo-dev 2011-08-25 13:13:15 UTC
ooooh, a request with patches :D

will look...
Comment 4 Brian Dolbec gentoo-dev 2011-08-25 13:54:11 UTC
The prune patch file is actually the branch patch again.

Also can you attach one of your branch overlay xml definitions.  The xml has changed format as well.

This is not going to be so easy to apply your patches.
Comment 5 Kobboi 2011-08-25 14:38:56 UTC
Created attachment 284641 [details, diff]
prune patch corrected
Comment 6 Kobboi 2011-08-25 14:41:38 UTC
The XML file for this one is

<overlays>
   <overlay type="cvs"
src=":pserver:readonly:readonly@10.11.11.74:/cvsrep/sit_automation"
subpath="automation/AutoDistro/Overlay" contact="xxx@yyy.zzz" status="testing"
branch="testautom" name="autodistro">
      <description>
         AutoDistro overlay
      </description>
   </overlay>
</overlays>
Comment 7 Jeroen Roovers gentoo-dev 2011-08-26 16:51:35 UTC
Don't CC maintainers when you cannot assign bugs.
Comment 8 Brian Dolbec gentoo-dev 2011-09-05 20:20:29 UTC
The prune functionality can already be done using 2.0.0's *_addopts & *_syncopts which can be configured in layman.cfg for any of the repo types.  That is as long as the vcs supports that option.  In this case those options would be added to all cvs commands for all overlays of that type.

Unfortunately, the branch patch is not easy to add.  The code is laid out much different now and that portion of code is now in source.py's OverlaySource class which is common to all the repo types.  That means that branching code must work for all  vcs types that support it and be ignored by those that don't.  Also the xml file format has changed, the old style is still usable, but it would need to be implemented in the new style and the main overlay's list verification code (on the gentoo server) also needs updating to accept overlay definitions with the branch spec.

I will work to getting this functionality in for a later release, not 2.0.0.  I have 2.0.0 nearly ready for final release.
Comment 9 Devan Franchini (RETIRED) gentoo-dev 2014-07-02 15:16:35 UTC
(In reply to Brian Dolbec from comment #8)
> The prune functionality can already be done using 2.0.0's *_addopts &
> *_syncopts which can be configured in layman.cfg for any of the repo types. 
> That is as long as the vcs supports that option.  In this case those options
> would be added to all cvs commands for all overlays of that type.
> 
> Unfortunately, the branch patch is not easy to add.  The code is laid out
> much different now and that portion of code is now in source.py's
> OverlaySource class which is common to all the repo types.  That means that
> branching code must work for all  vcs types that support it and be ignored
> by those that don't.  Also the xml file format has changed, the old style is
> still usable, but it would need to be implemented in the new style and the
> main overlay's list verification code (on the gentoo server) also needs
> updating to accept overlay definitions with the branch spec.
> 
> I will work to getting this functionality in for a later release, not 2.0.0.
> I have 2.0.0 nearly ready for final release.

Should we close this bug on layman's next release?
Comment 10 Devan Franchini (RETIRED) gentoo-dev 2014-09-29 13:54:58 UTC
CVS branch functionality available in layman-2.2.0, closing as fixed.